package cn.estsh.i3plus.pojo.wms.engine.rule;

/**
 * @Description : 纯POJO，WMS 获取条码下一步的状态
 * @Reference :
 * @Author : rock.yu
 * @CreateDate : 2019-03-07 16:40
 * @Modify:
 **/
public class WmsSNNextStatusRule {

    // 交易类型代码
    private int transTypeCode;
    // 业务类型代码
    private int busiTypeCode;
    // 一步法操作
    private boolean oneStep;
    // 免检
    private boolean skipQC;
    // 自动入库t
    private boolean defaultInStock;
    // 原条码状态
    private int srcSNStatusCode;
    // 目的条码状态
    private int destSNStatusCode;
    // 目的条码的质量状态
    private int destQCStatusCode;

    public int getTransTypeCode() {
        return transTypeCode;
    }

    public void setTransTypeCode(int transTypeCode) {
        this.transTypeCode = transTypeCode;
    }

    public int getBusiTypeCode() {
        return busiTypeCode;
    }

    public void setBusiTypeCode(int busiTypeCode) {
        this.busiTypeCode = busiTypeCode;
    }

    public int getDestSNStatusCode() {
        return destSNStatusCode;
    }

    public void setDestSNStatusCode(int destSNStatusCode) {
        this.destSNStatusCode = destSNStatusCode;
    }

    public int getSrcSNStatusCode() {
        return srcSNStatusCode;
    }

    public void setSrcSNStatusCode(int srcSNStatusCode) {
        this.srcSNStatusCode = srcSNStatusCode;
    }

    public boolean isOneStep() {
        return oneStep;
    }

    public void setOneStep(boolean oneStep) {
        this.oneStep = oneStep;
    }

    public boolean isSkipQC() {
        return skipQC;
    }

    public void setSkipQC(boolean skipQC) {
        this.skipQC = skipQC;
    }

    public boolean isDefaultInStock() {
        return defaultInStock;
    }

    public void setDefaultInStock(boolean defaultInStock) {
        this.defaultInStock = defaultInStock;
    }

    public int getDestQCStatusCode() {
        return destQCStatusCode;
    }

    public void setDestQCStatusCode(int destQCStatusCode) {
        this.destQCStatusCode = destQCStatusCode;
    }
}
